{iris_def.i}
{iris_fnc.i}

def var vl as logical no-undo.

output-http-header ("Pragma","No-Cache").
output-http-header ("Cache-Control","No-Cache").
output-content-type ("text/html").

{&out} '<html>' skip
       '<head>' skip
       '<title>Customer Update</title>' skip
       '</head>' skip
       '<body>' skip.

find customer where customer.cust-num = integer(get-value('cust_num'))
  exclusive no-wait no-error.

if not avail customer then do:
  if not locked customer then   
  {&out} 'Customer record not available in the system. Please try your request again or contact the system administrator.' skip.
  else
  {&out} 'The customer record is currently in use by another person. Please try your request again or contact the system administrator.' skip
         '</body>' skip
         '</html>' skip.
  return.
end.

assign
  customer.balance = decimal(get-value('cust_bal'))
  customer.terms = get-value('cust_terms')
  customer.discount = integer(get-value('cust_disc'))
  customer.comments = get-value('cust_com') 
  no-error.

vl = error-status:error.
  
{&out} '<script lanuage="javascript">' skip.

if vl then 
  {&out} 'window.alert("There was an error saving your update. Please try again or contact the system administrator.")~;' skip.
else 
  {&out} 'opener.document.location.reload()~;' skip
         'window.alert("Your update was successfully saved.")~;' skip.
 
{&out} 'self.close()~;' skip
       '</script>' skip
       '</body>' skip
       '</html>' skip.
       