{iris_def.i}
{iris_fnc.i}

output-http-header ("Pragma","No-Cache").
output-http-header ("Cache-Control","No-Cache").
output-content-type ("text/html").

{&out} '<html>' skip
       '<head>' skip
       '<title>Customer Update</title>' skip
       '</head>' skip
       '<body>' skip.
       
find customer where customer.cust-num = integer(get-value('cust_num')) no-lock no-error.

if not avail customer then do:
  {&out} 'Customer record not available. Please try your request again or contact the system administrator.' skip
         '</body>' skip
         '</html>' skip.
  return.
end.

{&out} '<form name="f1" action="custsave.r" method="post">' skip
       '<input type="hidden" name="cust_num" value="' customer.cust-num '">' skip
       '<table>' skip
       '  <tr>' skip
       '    <td align="right"><b>Customer:</b></td>' skip
       '    <td align="left">customer.name</td>' skip
       '  </tr>' skip
       '  <tr>' skip
       '    <td align="right"><b>Balance:</b></td>' skip
       '    <td align="left"><input type="text" name="cust_bal" value="' customer.balance '"></td>' skip
       '  </tr>' skip
       '  <tr>' skip
       '    <td align="right"><b>Terms:</b></td>' skip
       '    <td align="left"><input type="text" name="cust_terms" value="' customer.terms '"></td>' skip
       '  </tr>' skip
       '  <tr>' skip
       '    <td align="right"><b>Discount:</b></td>' skip
       '    <td align="left"><input type="text" name="cust_disc" value="' customer.discount '"></td>' skip
       '  </tr>' skip
       '  <tr>' skip
       '    <td align="right"><b>Comments:</b></td>' skip
       '    <td align="left"><input type="text" name="cust_com" value="' customer.comments '"></td>' skip
       '  </tr>' skip
       '</table>' skip
       '<br>' skip
       '<input type="submit" value="Save"><input type="button" value="Cancel" onClick="self.close();">' skip
       '</form>' skip
       '</body>' skip
       '</html>' skip.
       