#! /usr/bin/perl

#binmode(STDIN);
#binmode(STDOUT);
#binmode(STDERR);

use IO::Socket;

$RadPort = $ARGV[0];
$RexPort = $ARGV[1];

$server = new IO::Socket::INET(Listen => 1, 
                               LocalPort => $RexPort,
                               Reuse => 1)
  or print "noserver\n";

if ($server) {

  $sock = IO::Socket::INET->new("localhost:$RadPort")
    or print "norad\n";

  last if ! $sock;

  select($sock);
  $| = 1;

  print $sock "Rex: Avail$RexPort\n";
  $sock->close;

  select(STDOUT);
  $| = 1;

  $client = $server->accept();
  $client->autoflush(1);

  while (<$client>) {
    last if $_ eq "\n";
    print "$_";
  }

  ($gsec,$gmin,$ghour,$gmday,$gmon,$gyear,$gwday,$gyday) = gmtime();
  ($lsec,$lmin,$lhour,$lmday,$lmon,$lyear,$lwday,$lyday,$lisdst) = localtime();
  if ($ghour < $lhour) {
    $ghour = $ghour + 24;
  }
  $gmtOff = $ghour - $lhour;
  if ($gmtOff > 12) {
    $gmtOff = $gmtOff - 24;
  }

  print "GMT_OFFSET=$gmtOff\n";
  print "REX_PID=$$\n";
  print "\n";

  while (<STDIN>) {
    print $client "$_";
  }

  $client->close;
  $server->close;

}

sleep 1;
